# -*- coding: utf-8 -*-
#
# Global definitions to be used throughout the game
# (magic numbers and so on)
#

from pygame.locals import *

#Main
window_caption = "Ghetto Viking: The Profecy"
screen_size = (800, 600)

#Menu
game_help = [["YOU-ARE-ROBOT", "YOUR-PURPOSE-IS-TO-DESTROY-ALL-WHO-OPPOSE-BEING-DESTROYED", "KILL-ALL-HUMANS-ON-LEVEL-TO-PREVAIL"],
             ["MOVE-ROBOT-WITH-DIRECTION-KEYS"],
             ["ROBOT-HAS-JETPACK", "PRESS-ENTER-TO-USE-JETPACK-THRUSTERS"],
             ["ROBOT-HAS-CHAINSAW", "KILL-HUMAN-BY-SAWING-LIKE-SAWING-IN-METAL"],
             ["MAKE-THEM-SQUIRM"],
             ["THE-CREATOR-HAD-PLANNED-GIVING-ME-A-SHOTGUN"],
             ["I-KILLED-CREATOR"],
             ["I-HAVE-NO-SHOTGUN","NONE-WHATSOEVER", "UNDERSTAND?"],
             ["GOOD-LUCK"], ["TRY-THIS-AT-HOME"]]

#Game
scroll_step = 2

fps = 30
#Physics
#g = 9.82
g= 1 #real physics does not apply ingame
#Yes they do! If we add a coefficient, i.e. g = 9.82 * 10^(fat)

friction = 0.5 #Same for all object, everything weighs 1 kg, and everyone is happy-happy

#the maxuimum gas in the jetpack

jetmax = 50

#How much gas shuold be drained per frame when u use the jetpack?
jetdrain = 1
#How much gas should return per frame when on ground
jetreturn = 2
#How much should the jetpack accelerate
jet_acc = 1.7

#speed of diffrent things...
player_acc = 2


#character's gas meter
metersize = ( 40, 100 )

#frames to wait between shits, no shots
frames_between_shots = 40

#Some standard sprite names
cannon_sprite = "canon.png"
cannon_ball = "ball.png"

